## org.apache.xerces.readers
Interface XMLEntityHandler.DTDHandler

All Known Implementing Classes:
  DefaultEntityHandler

Enclosing class:
  XMLEntityHandler

public static interface XMLEntityHandler.DTDHandler

DTD specific entity handler

Method Summary
`int` `addExternalEntityDecl(int entityName, int publicId, int systemId, boolean isExternal)`
`int` `addExternalPEDecl(int entityName, int publicId, int systemId, boolean isExternal)`
`int` `addInternalEntityDecl(int entityName, int value, boolean isExternal)`
`int` `addInternalPEDecl(int entityName, int value, boolean isExternal)` Declare entities and notations.
`int` `addNotationDecl(int notationName, int publicId, int systemId, boolean isExternal)`
`void` `addRequiredNotation(int notationName, Locator locator, int majorCode, int minorCode, java.lang.Object[] args)` Remember a required but undeclared notation.
`int` `addUnparsedEntityDecl(int entityName, int publicId, int systemId, int notationName, boolean isExternal)`
`void` `checkRequiredNotations()` Check required but undeclared notations.
`void` `endEntityDecl()` End the scope of an entity declaration.
`boolean` `isNotationDeclared(int entityName)` Check for declared notation.
`boolean` `isUnparsedEntity(int entityName)` Check for unparsed entity.
`boolean` `startEntityDecl(boolean isPE, int entityName)` Start the scope of an entity declaration.
`void` `startReadingFromExternalSubset(java.lang.String publicId, java.lang.String systemId, int readerDepth)` Start reading from the external subset of the DTD.
`void` `stopReadingFromExternalSubset()` Finished reading from the external subset of the DTD.

Method Detail

### startReadingFromExternalSubset

    public void startReadingFromExternalSubset(java.lang.String publicId,
                                               java.lang.String systemId,
                                               int readerDepth)
                                        throws java.lang.Exception

  Start reading from the external subset of the DTD.
  Parameters:
    `publicId` - The public identifier for the external subset.
    `systemId` - The system identifier for the external subset.
    `readerDepth` - The depth to associate with the reader for the external subset.
  Throws:
    java.lang.Exception -

### stopReadingFromExternalSubset

    public void stopReadingFromExternalSubset()
                                       throws java.lang.Exception

  Finished reading from the external subset of the DTD.
  Throws:
    java.lang.Exception -

### startEntityDecl

    public boolean startEntityDecl(boolean isPE,
                                   int entityName)
                            throws java.lang.Exception

  Start the scope of an entity declaration.
  Returns:
    `true` on success; otherwise `false` if the entity declaration is recursive.
  Throws:
    java.lang.Exception -

### endEntityDecl

    public void endEntityDecl()
                       throws java.lang.Exception

  End the scope of an entity declaration.
  Throws:
    java.lang.Exception -

### addInternalPEDecl

    public int addInternalPEDecl(int entityName,
                                 int value,
                                 boolean isExternal)
                          throws java.lang.Exception

  Declare entities and notations.

### addExternalPEDecl

    public int addExternalPEDecl(int entityName,
                                 int publicId,
                                 int systemId,
                                 boolean isExternal)
                          throws java.lang.Exception

### addInternalEntityDecl

    public int addInternalEntityDecl(int entityName,
                                     int value,
                                     boolean isExternal)
                              throws java.lang.Exception

### addExternalEntityDecl

    public int addExternalEntityDecl(int entityName,
                                     int publicId,
                                     int systemId,
                                     boolean isExternal)
                              throws java.lang.Exception

### addUnparsedEntityDecl

    public int addUnparsedEntityDecl(int entityName,
                                     int publicId,
                                     int systemId,
                                     int notationName,
                                     boolean isExternal)
                              throws java.lang.Exception

### addNotationDecl

    public int addNotationDecl(int notationName,
                               int publicId,
                               int systemId,
                               boolean isExternal)
                        throws java.lang.Exception

### isUnparsedEntity

    public boolean isUnparsedEntity(int entityName)

  Check for unparsed entity.
  Parameters:
    `entityName` - The string handle for the entity name.
  Returns:
    `true` if entityName is an unparsed entity; otherwise `false` if entityName is not declared or not an unparsed entity.

### isNotationDeclared

    public boolean isNotationDeclared(int entityName)

  Check for declared notation.
  Parameters:
    `notationName` - The string handle for the notation name.
  Returns:
    `true` if notationName is a declared notation; otherwise `false` if notationName is not declared.

### addRequiredNotation

    public void addRequiredNotation(int notationName,
                                    Locator locator,
                                    int majorCode,
                                    int minorCode,
                                    java.lang.Object[] args)

  Remember a required but undeclared notation.

### checkRequiredNotations

    public void checkRequiredNotations()
                                throws java.lang.Exception

  Check required but undeclared notations.

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.